<?php
namespace Bushelpowered\Api\Iam\Access\Evaluate\V1alpha\Response;
        
class PermissionResult 
{
    public string $permission;
    public bool $root;
    /** @var \Bushelpowered\Api\Iam\Access\Common\V1alpha\TenantRef[] $tenants */
    public array $tenants;
    /** @var \Bushelpowered\Api\Iam\Access\Common\V1alpha\LocationRef[] $locations */
    public array $locations;
    /** @var \Bushelpowered\Api\Iam\Access\Common\V1alpha\AccountRef[] $accounts */
    public array $accounts;

    /**
     * @param  null  $permission
     * @param  null  $root
     * @param  \Bushelpowered\Api\Iam\Access\Common\V1alpha\TenantRef[]  $tenants
     * @param  \Bushelpowered\Api\Iam\Access\Common\V1alpha\LocationRef[]  $locations
     * @param  \Bushelpowered\Api\Iam\Access\Common\V1alpha\AccountRef[]  $accounts
     */
    public function __construct(string $permission, bool $root, array $tenants, array $locations, array $accounts)
    {
        $this->permission = $permission;
        $this->root = $root;
        $this->tenants = $tenants;
        $this->locations = $locations;
        $this->accounts = $accounts;
    }
    

}