<?php
namespace Bushelpowered\Api\Platform\Authorization\V1\Request;
        
class SyncUserAccountRequest 
{
    public string $userIdpId;
    public string $idpSlug;
    public ?string $bushelId = null;
    public string $companySlug;
    public string $sourceId;
    public string $firstName;
    public string $lastName;
    public ?int $deletedAt = null;

    /**
     * @param  null  $userIdpId
     * @param  null  $idpSlug
     * @param  null  $bushelId
     * @param  null  $companySlug
     * @param  null  $sourceId
     * @param  null  $firstName
     * @param  null  $lastName
     * @param  null  $deletedAt
     */
    public function __construct(string $userIdpId, string $idpSlug, ?string $bushelId, string $companySlug, string $sourceId, string $firstName, string $lastName, ?int $deletedAt)
    {
        $this->userIdpId = $userIdpId;
        $this->idpSlug = $idpSlug;
        $this->bushelId = $bushelId;
        $this->companySlug = $companySlug;
        $this->sourceId = $sourceId;
        $this->firstName = $firstName;
        $this->lastName = $lastName;
        $this->deletedAt = $deletedAt;
    }
    

}