<?php
namespace Bushelpowered\Api\Platform\Commodity\V1\Request;
        
class GetOrCreateTenantCommodityRequest 
{
    public string $tenantId;
    public string $datasourceId;
    public string $integrationId;
    public string $sourceId;
    public ?string $sourceLocationId = null;
    public ?string $locationIntegrationId = null;
    public ?string $locationId = null;
    public ?string $displayName = null;

    /**
     * @param  null  $tenantId
     * @param  null  $datasourceId
     * @param  null  $integrationId
     * @param  null  $sourceId
     * @param  null  $sourceLocationId
     * @param  null  $locationIntegrationId
     * @param  null  $locationId
     * @param  null  $displayName
     */
    public function __construct(string $tenantId, string $datasourceId, string $integrationId, string $sourceId, ?string $sourceLocationId, ?string $locationIntegrationId, ?string $locationId, ?string $displayName)
    {
        $this->tenantId = $tenantId;
        $this->datasourceId = $datasourceId;
        $this->integrationId = $integrationId;
        $this->sourceId = $sourceId;
        $this->sourceLocationId = $sourceLocationId;
        $this->locationIntegrationId = $locationIntegrationId;
        $this->locationId = $locationId;
        $this->displayName = $displayName;
    }
    

}