<?php
namespace Bushelpowered\Api\Platform\Connection\V1\Response;
        
class CreateOrUpdateConnectionsDataResponse 
{
    public string $tenantId;
    public string $tenantName;
    /** @var \Bushelpowered\Api\Platform\Connection\V1\Response\CreateOrUpdateConnectionResponse[] $connections */
    public array $connections;

    /**
     * @param  null  $tenantId
     * @param  null  $tenantName
     * @param  \Bushelpowered\Api\Platform\Connection\V1\Response\CreateOrUpdateConnectionResponse[]  $connections
     */
    public function __construct(string $tenantId, string $tenantName, array $connections)
    {
        $this->tenantId = $tenantId;
        $this->tenantName = $tenantName;
        $this->connections = $connections;
    }
    

}