<?php
namespace Bushelpowered\Api\Fulfillment\Contract\V1\Response;
        
class ContractSummaryResponse 
{
    public string $commodityCode;
    public int $contractCount;
    public float $totalQuantityContracted;
    public float $totalQuantityDelivered;
    public float $totalQuantityCanceled;

    /**
     * @param  null  $commodityCode
     * @param  null  $contractCount
     * @param  null  $totalQuantityContracted
     * @param  null  $totalQuantityDelivered
     * @param  null  $totalQuantityCanceled
     */
    public function __construct(string $commodityCode, int $contractCount, float $totalQuantityContracted, float $totalQuantityDelivered, float $totalQuantityCanceled)
    {
        $this->commodityCode = $commodityCode;
        $this->contractCount = $contractCount;
        $this->totalQuantityContracted = $totalQuantityContracted;
        $this->totalQuantityDelivered = $totalQuantityDelivered;
        $this->totalQuantityCanceled = $totalQuantityCanceled;
    }
    

}