<?php
namespace Bushelpowered\Api\Iam\Access\Evaluate\V1alpha\Request;
        
class LookupResourcesRequest implements Api\Iam\Access\Common\V1alpha\Mixins\HasConsistency, Api\Iam\Access\Common\V1alpha\Mixins\HasPermissions
{
    public \Bushelpowered\Api\Iam\Access\Common\V1alpha\Mixins\Consistency $consistency = null;
    /** @var string[] $permissions */
    public array $permissions;

    /**
     * @param  null  $consistency
     * @param  string[]  $permissions
     */
    public function __construct(\Bushelpowered\Api\Iam\Access\Common\V1alpha\Mixins\Consistency $consistency, array $permissions)
    {
        $this->consistency = $consistency;
        $this->permissions = $permissions;
    }
    
    public function getConsistency(): \Bushelpowered\Api\Iam\Access\Common\V1alpha\Mixins\Consistency
    {
        return $this->consistency;
    }
    /**
     * @return string[]
     */
    public function getPermissions(): array
    {
        return $this->permissions;
    }
}