<?php
namespace Bushelpowered\Api\Platform\Branding\V1\Request;
        
class CreateBuildRequest 
{
    public string $flavorId;
    public string $iosDisplayName;
    public string $androidBundleId;
    public string $iosBundleId;
    public ?string $versionName = null;
    public ?string $iosProduceItcTeamName = null;
    public ?string $iosCertTeamId = null;
    public ?string $iosFastlanePassword = null;
    public ?string $iosFastlaneUser = null;
    public ?string $iosApiKey = null;
    public ?string $iosKeyId = null;
    public ?string $iosIssuerId = null;

    /**
     * @param  null  $flavorId
     * @param  null  $iosDisplayName
     * @param  null  $androidBundleId
     * @param  null  $iosBundleId
     * @param  null  $versionName
     * @param  null  $iosProduceItcTeamName
     * @param  null  $iosCertTeamId
     * @param  null  $iosFastlanePassword
     * @param  null  $iosFastlaneUser
     * @param  null  $iosApiKey
     * @param  null  $iosKeyId
     * @param  null  $iosIssuerId
     */
    public function __construct(string $flavorId, string $iosDisplayName, string $androidBundleId, string $iosBundleId, ?string $versionName, ?string $iosProduceItcTeamName, ?string $iosCertTeamId, ?string $iosFastlanePassword, ?string $iosFastlaneUser, ?string $iosApiKey, ?string $iosKeyId, ?string $iosIssuerId)
    {
        $this->flavorId = $flavorId;
        $this->iosDisplayName = $iosDisplayName;
        $this->androidBundleId = $androidBundleId;
        $this->iosBundleId = $iosBundleId;
        $this->versionName = $versionName;
        $this->iosProduceItcTeamName = $iosProduceItcTeamName;
        $this->iosCertTeamId = $iosCertTeamId;
        $this->iosFastlanePassword = $iosFastlanePassword;
        $this->iosFastlaneUser = $iosFastlaneUser;
        $this->iosApiKey = $iosApiKey;
        $this->iosKeyId = $iosKeyId;
        $this->iosIssuerId = $iosIssuerId;
    }
    

}