<?php
namespace Bushelpowered\Api\Platform\Commodity\V1\Request;
        
class CreateOrUpdateTenantCommodityRequest 
{
    public string $tenantId;
    public string $datasourceId;
    public string $sourceId;
    public ?string $sourceDisplayName = null;
    public ?string $displayName = null;
    public ?string $commodityVarietyId = null;

    /**
     * @param  null  $tenantId
     * @param  null  $datasourceId
     * @param  null  $sourceId
     * @param  null  $sourceDisplayName
     * @param  null  $displayName
     * @param  null  $commodityVarietyId
     */
    public function __construct(string $tenantId, string $datasourceId, string $sourceId, ?string $sourceDisplayName, ?string $displayName, ?string $commodityVarietyId)
    {
        $this->tenantId = $tenantId;
        $this->datasourceId = $datasourceId;
        $this->sourceId = $sourceId;
        $this->sourceDisplayName = $sourceDisplayName;
        $this->displayName = $displayName;
        $this->commodityVarietyId = $commodityVarietyId;
    }
    

}