<?php
namespace Bushelpowered\Api\Platform\Connection\V1\Response;
        
class CreateOrUpdateConnectionResponse 
{
    public string $connectionId;
    public string $accountId;
    public string $sourceAccountId;
    public string $accountName;
    public string $featureId;
    public string $featureName;
    public ?bool $isConnected = null;
    public ?int $createdAt = null;
    public ?int $updatedAt = null;

    /**
     * @param  null  $connectionId
     * @param  null  $accountId
     * @param  null  $sourceAccountId
     * @param  null  $accountName
     * @param  null  $featureId
     * @param  null  $featureName
     * @param  null  $isConnected
     * @param  null  $createdAt
     * @param  null  $updatedAt
     */
    public function __construct(string $connectionId, string $accountId, string $sourceAccountId, string $accountName, string $featureId, string $featureName, ?bool $isConnected, ?int $createdAt, ?int $updatedAt)
    {
        $this->connectionId = $connectionId;
        $this->accountId = $accountId;
        $this->sourceAccountId = $sourceAccountId;
        $this->accountName = $accountName;
        $this->featureId = $featureId;
        $this->featureName = $featureName;
        $this->isConnected = $isConnected;
        $this->createdAt = $createdAt;
        $this->updatedAt = $updatedAt;
    }
    

}